# Interface TransitionHandler

public interface TransitionHandler
An interface for intercepting information about the state transitions that the tokenizer is making.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`void`
`transition(int from, int to, boolean reconsume, int pos)`
This method is called for every tokenizer state transition.

## Method Details

### transition

void transition(int from, int to, boolean reconsume, int pos) throws SAXException
This method is called for every tokenizer state transition.

Parameters:
  `from` - the state the tokenizer is transitioning from
  `to` - the state being transitioned to
  `reconsume` - `true` if the current input character is going to be reconsumed in the new state
  `pos` - the current index into the input stream
Throws:
  `SAXException` - if something went wrong